
/**
 * 配置编译环境和线上环境之间的切换
 * 
 * baseUrl: 域名地址
 * routerMode: 路由模式
 * imgBaseUrl: 图片所在域名地址
 * 
 */

let baseUrl = ''; 
let routerMode = 'history';  //去掉路由的#
let imgBaseUrl;


if (process.env.NODE_ENV == 'development') { //开发环境
  // baseUrl = 'https://dm.mepai.me';
  baseUrl = '/api';
  imgBaseUrl = 'https://dimages.mepai.me';

}else if(process.env.NODE_ENV == 'production'){ //生产环境
  baseUrl = 'https://m.mepai.me';
  imgBaseUrl = 'https://images.mepai.me';
}

export {
	baseUrl,
	routerMode,
	imgBaseUrl,
}